package com.test.ejb;

import javax.annotation.Resource;
import javax.ejb.Local;
import javax.ejb.SessionContext;
import javax.ejb.Stateless;

import org.jboss.ejb3.annotation.SecurityDomain;

@Local(Calculator.class)
@Stateless
@SecurityDomain("test")                       //does not work
//@SecurityDomain("java:jboss:jaas:test")       // does not work
public class CalculatorBean implements Calculator {

    @Resource
    private SessionContext ctx;

    @Override
    public String getCallerName() {
        System.out.println(ctx.getCallerPrincipal());
        return ctx.getCallerPrincipal().getName();
    }

    @Override
    public int add(int x, int y) {

        System.out.println("Ctx " + ctx.getCallerPrincipal());

        return x + y;
    }
}
