<%@ page import="java.util.Hashtable,javax.naming.Context,javax.naming.InitialContext,javax.naming.NamingException,com.test.ejb.Calculator" %>

<h1>Hello World!</h1>
<hr>
<%

	try
	{
	    Hashtable<Object, Object> env = new Hashtable();
        env.put(Context.SECURITY_PRINCIPAL, "Micke");
        env.put(Context.SECURITY_CREDENTIALS, "123");
	    /*
	     * The interface I'm looking up is a local one.. So, I can not use the below lines.
	     *         env.put(Context.INITIAL_CONTEXT_FACTORY, "org.jboss.naming.remote.client.InitialContextFactory");
	     *         env.put(Context.PROVIDER_URL, "remote:/localhost:4447");
	     *         env.put("jboss.naming.client.ejb.context", true);
	     *
	     * However, I would like to get logged in into the EJB container with the user 'Micke' because I'm using 
	     * the method ctx.getCallerPrincipal() in my EJB CalculatorBean. Note that without the login it will always return 
	     * 'anonymous'. So the behaviour will be differente between a remote client and a local client. 
	     *
	     * NOTE THAT In jboss 4.2 this works fine with the below lines. 
	     *         env.put(Context.INITIAL_CONTEXT_FACTORY, "org.jboss.security.jndi.JndiLoginInitialContextFactory");
	     *         env.put(Context.URL_PKG_PREFIXES, "org.jboss.naming:org.jnp.interfaces");
	     * 
	     *THE QUESTION IS: 
	     *     What should I do to have the same behaviour in remote and local clients?
	     *     Or being more specific. What should I do to get 'Micke' authenticated into the containar even when it is a local interface?  
	     */ 
	     
        InitialContext context = new InitialContext(env);
	    Calculator c = (Calculator)context.lookup("java:app/LookupTestEJB/CalculatorBean!com.test.ejb.Calculator"); 
	    out.println("<p>class: " + c);
	    out.println("<p>principal: " + c.getCallerName());
	    out.println("<p>add(10,34): " + c.add(10, 34));	    	    
	}
	catch(NamingException e)
	{
	    e.printStackTrace();
	}

%>